Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaDublinCore

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaDublinCore

public class XMPSchemaDublinCore
extends XMPSchema

Define XMP properties used with the Dublin Core specification.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaDublinCore(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaDublinCore(XMPMetadata parent)` Construct a new blank Dublin Core schema.

Method Summary
`void` | `addContributor(java.lang.String contributor)` Add a contributor to the list of contributors.
`void` | `addCreator(java.lang.String creator)` Add a creator.
`void` | `addDate(java.util.Calendar date)` Add a date of interest to this schema.
`void` | `addLanguage(java.lang.String language)` Add a language to the list of languages.
`void` | `addPublisher(java.lang.String publisher)` Add a publisher to the list of publishers.
`void` | `addRelation(java.lang.String relation)` Add a relation to the list of relationships.
`void` | `addSubject(java.lang.String subject)` Add a subject to the list of subjects.
`void` | `addType(java.lang.String type)` Add a type to the bag of types of this resource.
`java.util.List` | `getContributors()` Get the complete list of contributors.
`java.lang.String` | `getCoverage()` Get the coverage property.
`java.util.List` | `getCreators()` Get a complete list of creators.
`java.util.List` | `getDates()` Get a list of all dates of interest to this resource.
`java.lang.String` | `getDescription()` Get the default value for the description.
`java.lang.String` | `getDescription(java.lang.String language)` Get the description in a specific language.
`java.util.List` | `getDescriptionLanguages()` Get a list of all languages that a description exists for.
`java.lang.String` | `getFormat()` Get the format property.
`java.lang.String` | `getIdentifier()` Get the resource id.
`java.util.List` | `getLanguages()` Get the complete list of languages.
`java.util.List` | `getPublishers()` Get the complete list of publishers.
`java.util.List` | `getRelationships()` Get the complete list of relationships.
`java.lang.String` | `getRights()` Get the default value for the rights of this document.
`java.lang.String` | `getRights(java.lang.String language)` Get the rights in a specific language.
`java.util.List` | `getRightsLanguages()` Get a list of all languages that a rights description exists for.
`java.lang.String` | `getSource()` Get the resource source id.
`java.util.List` | `getSubjects()` Get the complete list of subjects.
`java.lang.String` | `getTitle()` Get the default value for the title.
`java.lang.String` | `getTitle(java.lang.String language)` Get the title in a specific language.
`java.util.List` | `getTitleLanguages()` Get a list of all languages that a title exists for.
`java.util.List` | `getTypes()` Get the list of types for this resource.
`void` | `removeContributor(java.lang.String contributor)` Remove a contributor from the list of contributors.
`void` | `removeCreator(java.lang.String creator)` Remove a creator from the list of creators.
`void` | `removeDate(java.util.Calendar date)` Remove a date from the list of 'interesting' dates.
`void` | `removeLanguage(java.lang.String language)` Remove a language from the list of languages.
`void` | `removePublisher(java.lang.String publisher)` Remove a publisher from the list of publishers.
`void` | `removeRelation(java.lang.String relation)` Remove a relation from the list of relationships.
`void` | `removeSubject(java.lang.String subject)` Remove a subject from the list of subjects.
`void` | `setCoverage(java.lang.String coverage)` Set the coverage property.
`void` | `setDescription(java.lang.String description)` Set the default value for the description.
`void` | `setDescription(java.lang.String language, java.lang.String description)` Set the description of this resource in a specific language.
`void` | `setFormat(java.lang.String format)` Set the format property.
`void` | `setIdentifier(java.lang.String id)` Set the resource identifier.
`void` | `setRights(java.lang.String rights)` Set the default value for the rights of this document.
`void` | `setRights(java.lang.String language, java.lang.String rights)` Set the rights for this resource in a specific language.
`void` | `setSource(java.lang.String id)` Set the resource source identifier.
`void` | `setTitle(java.lang.String title)` Set the default value for the title.
`void` | `setTitle(java.lang.String language, java.lang.String title)` Set the title of this resource in a specific language.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaDublinCore

    public XMPSchemaDublinCore(XMPMetadata parent)

  Construct a new blank Dublin Core schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaDublinCore

    public XMPSchemaDublinCore(org.w3c.dom.Element element,
                               java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### removeContributor

    public void removeContributor(java.lang.String contributor)

  Remove a contributor from the list of contributors.

  Parameters:
    `contributor` - The contributor to remove.

### addContributor

    public void addContributor(java.lang.String contributor)

  Add a contributor to the list of contributors. A contributor is someone other than an author.

  Parameters:
    `contributor` - The name of the contributor.

### getContributors

    public java.util.List getContributors()

  Get the complete list of contributors.

  Returns:
    The list of contributors.

### setCoverage

    public void setCoverage(java.lang.String coverage)

  Set the coverage property.

  Parameters:
    `coverage` - The extend or scope of the resource.

### getCoverage

    public java.lang.String getCoverage()

  Get the coverage property.

  Returns:
    The extent or scope of the resource.

### removeCreator

    public void removeCreator(java.lang.String creator)

  Remove a creator from the list of creators.

  Parameters:
    `creator` - The author of the resource.

### addCreator

    public void addCreator(java.lang.String creator)

  Add a creator.

  Parameters:
    `creator` - The author of the resource.

### getCreators

    public java.util.List getCreators()

  Get a complete list of creators.

  Returns:
    A list of java.lang.String objects.

### removeDate

    public void removeDate(java.util.Calendar date)

  Remove a date from the list of 'interesting' dates.

  Parameters:
    `date` - The date to remove.

### addDate

    public void addDate(java.util.Calendar date)

  Add a date of interest to this schema.

  Parameters:
    `date` - The date to add to the schema.

### getDates

    public java.util.List getDates()
                            throws java.io.IOException

  Get a list of all dates of interest to this resource.

  Returns:
    A list of java.util.Calendar objects.
  Throws:
    `java.io.IOException` - If there is an error creating the date object.

### setDescription

    public void setDescription(java.lang.String description)

  Set the default value for the description.

  Parameters:
    `description` - The description of this resource.

### getDescription

    public java.lang.String getDescription()

  Get the default value for the description.

  Returns:
    The description of this resource.

### setDescription

    public void setDescription(java.lang.String language,
                               java.lang.String description)

  Set the description of this resource in a specific language.

  Parameters:
    `language` - The language code.
    `description` - The description in a specific language.

### getDescription

    public java.lang.String getDescription(java.lang.String language)

  Get the description in a specific language.

  Parameters:
    `language` - The language code to get the description for.
  Returns:
    The description in the specified language or null if it does not exist.

### getDescriptionLanguages

    public java.util.List getDescriptionLanguages()

  Get a list of all languages that a description exists for.

  Returns:
    A non-null list of languages, potentially an empty list.

### setFormat

    public void setFormat(java.lang.String format)

  Set the format property.

  Parameters:
    `format` - The mime-type of the saved resource.

### getFormat

    public java.lang.String getFormat()

  Get the format property.

  Returns:
    The mime-type of the resource.

### setIdentifier

    public void setIdentifier(java.lang.String id)

  Set the resource identifier.

  Parameters:
    `id` - An id to the resource.

### getIdentifier

    public java.lang.String getIdentifier()

  Get the resource id.

  Returns:
    A key that identifies this resource.

### removeLanguage

    public void removeLanguage(java.lang.String language)

  Remove a language from the list of languages.

  Parameters:
    `language` - The language to remove.

### addLanguage

    public void addLanguage(java.lang.String language)

  Add a language to the list of languages.

  Parameters:
    `language` - The name of the language.

### getLanguages

    public java.util.List getLanguages()

  Get the complete list of languages.

  Returns:
    The list of languages.

### removePublisher

    public void removePublisher(java.lang.String publisher)

  Remove a publisher from the list of publishers.

  Parameters:
    `publisher` - The publisher to remove.

### addPublisher

    public void addPublisher(java.lang.String publisher)

  Add a publisher to the list of publishers.

  Parameters:
    `publisher` - The name of the publisher.

### getPublishers

    public java.util.List getPublishers()

  Get the complete list of publishers.

  Returns:
    The list of publishers.

### removeRelation

    public void removeRelation(java.lang.String relation)

  Remove a relation from the list of relationships. A relationship to another resource.

  Parameters:
    `relation` - The publisher to remove.

### addRelation

    public void addRelation(java.lang.String relation)

  Add a relation to the list of relationships. A relationship to another resource.

  Parameters:
    `relation` - The relation to the other resource.

### getRelationships

    public java.util.List getRelationships()

  Get the complete list of relationships.

  Returns:
    The list of relationships.

### setRights

    public void setRights(java.lang.String rights)

  Set the default value for the rights of this document. This property specifies informal rights of the document.

  Parameters:
    `rights` - The rights for this resource.

### getRights

    public java.lang.String getRights()

  Get the default value for the rights of this document.

  Returns:
    The informal rights for this resource.

### setRights

    public void setRights(java.lang.String language,
                          java.lang.String rights)

  Set the rights for this resource in a specific language.

  Parameters:
    `language` - The language code.
    `rights` - The rights in a specific language.

### getRights

    public java.lang.String getRights(java.lang.String language)

  Get the rights in a specific language.

  Parameters:
    `language` - The language code to get the description for.
  Returns:
    The rights in the specified language or null if it does not exist.

### getRightsLanguages

    public java.util.List getRightsLanguages()

  Get a list of all languages that a rights description exists for.

  Returns:
    A non-null list of languages, potentially an empty list.

### setSource

    public void setSource(java.lang.String id)

  Set the resource source identifier.

  Parameters:
    `id` - An id to the resource source.

### getSource

    public java.lang.String getSource()

  Get the resource source id.

  Returns:
    A key that identifies this source of this resource.

### removeSubject

    public void removeSubject(java.lang.String subject)

  Remove a subject from the list of subjects.

  Parameters:
    `subject` - The subject to remove.

### addSubject

    public void addSubject(java.lang.String subject)

  Add a subject to the list of subjects.

  Parameters:
    `subject` - The subject of this resource.

### getSubjects

    public java.util.List getSubjects()

  Get the complete list of subjects.

  Returns:
    The list of subjects.

### setTitle

    public void setTitle(java.lang.String title)

  Set the default value for the title.

  Parameters:
    `title` - The title of this resource.

### getTitle

    public java.lang.String getTitle()

  Get the default value for the title.

  Returns:
    The title of this resource.

### setTitle

    public void setTitle(java.lang.String language,
                         java.lang.String title)

  Set the title of this resource in a specific language.

  Parameters:
    `language` - The language code.
    `title` - The title in a specific language.

### getTitle

    public java.lang.String getTitle(java.lang.String language)

  Get the title in a specific language.

  Parameters:
    `language` - The language code to get the description for.
  Returns:
    The title in the specified language or null if it does not exist.

### getTitleLanguages

    public java.util.List getTitleLanguages()

  Get a list of all languages that a title exists for.

  Returns:
    A non-null list of languages, potentially an empty list.

### addType

    public void addType(java.lang.String type)

  Add a type to the bag of types of this resource.

  Parameters:
    `type` - The type of resource to add (poem, novel).

### getTypes

    public java.util.List getTypes()

  Get the list of types for this resource.

  Returns:
    A list of types for this resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD